org.vertx.java.core.impl

## Class Context

- java.lang.Object
- - org.vertx.java.core.impl.Context

Direct Known Subclasses:
  EventLoopContext, WorkerContext

    public abstract class Context
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `Context(java.util.concurrent.Executor bgExec)`

### Method Summary

Methods
`abstract void` `execute(java.lang.Runnable handler)`
`void` `executeOnWorker(java.lang.Runnable task)`
`java.lang.Runnable` `getCloseHook(java.lang.Object key)`
`static Context` `getContext()`
`DeploymentHandle` `getDeploymentHandle()`
`java.nio.file.Path` `getPathAdjustment()`
`void` `putCloseHook(java.lang.Object key, java.lang.Runnable hook)`
`void` `reportException(java.lang.Throwable t)`
`void` `runCloseHooks()`
`static void` `setContext(Context context)`
`void` `setDeploymentHandle(DeploymentHandle deploymentHandle)`
`void` `setPathAdjustment(java.nio.file.Path pathAdjustment)`
`protected java.lang.Runnable` `wrapTask(java.lang.Runnable task)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Context

    protected Context(java.util.concurrent.Executor bgExec)

### Method Detail

#### setContext

    public static void setContext(Context context)

#### getContext

    public static Context getContext()

#### setDeploymentHandle

    public void setDeploymentHandle(DeploymentHandle deploymentHandle)

#### getDeploymentHandle

    public DeploymentHandle getDeploymentHandle()

#### getPathAdjustment

    public java.nio.file.Path getPathAdjustment()

#### setPathAdjustment

    public void setPathAdjustment(java.nio.file.Path pathAdjustment)

#### reportException

    public void reportException(java.lang.Throwable t)

#### getCloseHook

    public java.lang.Runnable getCloseHook(java.lang.Object key)

#### putCloseHook

    public void putCloseHook(java.lang.Object key,
                    java.lang.Runnable hook)

#### runCloseHooks

    public void runCloseHooks()

#### execute

    public abstract void execute(java.lang.Runnable handler)

#### executeOnWorker

    public void executeOnWorker(java.lang.Runnable task)

#### wrapTask

    protected java.lang.Runnable wrapTask(java.lang.Runnable task)